%global dlrn_nvr ansible-role-lunasa-hsm-1.1.1.dev1-1.20220727100600.6ebc8f4
%global dlrn 1
%define upstream_version 1.1.1.dev1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da
%global srcname ansible_role_lunasa_hsm
%global rolename ansible-role-lunasa-hsm

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:          %{rolename}
Version: 1.1.1
Release: 17.1.20220727100600.6ebc8f4%{?dist}
Summary:       Ansible role for configuring Safenet Luna SA HSM clients

Group:         System Environment/Base
License:       ASL 2.0
URL:           https://opendev.org/openstack/ansible-role-lunasa-hsm
Source0: ansible-role-lunasa-hsm-1.1.1.dev1-1.20220727100600.6ebc8f4.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=6ebc8f4440efb907eb728cf0fb6912a5c76586c1

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{rolename}/%{rolename}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:     noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires: git-core
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pbr

Requires: (python3dist(ansible) or ansible-core >= 2.11)

%description

Ansible role to configure Safenet Luna SA HSM clients

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{rolename}-%{upstream_version} -S git
#Remove ansible from requirements.txt as dependency on ansible is managed manually
sed -i '/^ansible/d' requirements.txt

%build
%{py3_build}

%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{py3_install}

%files
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/

%changelog
* Thu Jun 29 2023 Miguel Garcia <mgarciac@redhat.com> 1.1.1-17.1.20220727100600.6ebc8f4
- Add RHOSP version to Release

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.1.1-1.20220727100600.6ebc8f4
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20220712072703.6ebc8f4
- Update patches

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210908100507.6ebc8f4
- Update patches

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.1-0.20210603222727.6ebc8f4
- Update patches
- Remove use of ansible_fqdn

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-0.20210528112954.b3981c6
- Update patches

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-0.20210513071810.b3981c6
- Update patches


